Llançament de la versió 2 del complement de WordPress de Technorati Rank!

A la perfecció del primer connector de classificació de Technorati, he redissenyat el contingut de sortida per crear-lo CSS driven (a continuació hi ha una captura de pantalla, podeu interactuar amb la de la barra lateral del meu lloc):

Technorati Rank WordPress Plugin versió 2

Aquest va ser bastant més difícil de produir, però la producció és molt més agradable. Primer, he utilitzat el que he estat aprenent Bittbox per fer cadascun dels botons de sortida de la imatge a Illustrator.

El següent pas va ser utilitzar estils per construir realment algú de mapa d’imatges excepte que en realitat hi ha cap mapa! De fet, és bastant genial. Podeu establir el fons general de div i, a continuació, crear cadascun dels 'punts d'accés' utilitzant el posicionament absolut i CSS. Veure el CSS de sortida.

També he afegit un enllaç a la nova versió de Technorati WTF pàgina i l'adreça RSS del lloc. Espero que els agradi! Crec que és una gran millora respecte a la primera versió. Hi ha un i enllaç a la part inferior dreta que també promou el connector.

Actual Technorati Rank WordPress Plugin versió 2.0.4

23 Comentaris

  1. 1
  2. 3

    Vaig intentar instal·lar el més nou i el millor seguint les vostres indicacions per a la "lletra" 🙂

    però he rebut el següent error

    Error greu: no es pot instanciar la classe inexistent: element simplex a /home/winex4/public_html/wp-content/plugins/technorati-rank/technorati-rank.php a la línia 64

    alguna suggerència?

    • 4
      • 5

        això m'ensenyarà a comprovar primer .. pel que sembla, Lunarpages està executant 4.4.4 de PHP

        Suposo que hauré de comprovar l’altra versió o penjar-me i veure si s’actualitzen a la versió 5.0

        • 6

          Espero que ho facin! Però també espero que les actualitzacions del vostre amfitrió. PHP5 realment aporta millores de rendiment molt millors, així com algunes millors eines per consumir API. Utilitzo Jumpline, veureu un enllaç a la llista de patrocinadors a la meva pàgina principal. També crec que Dotster té un bon allotjament VDS amb les últimes novetats.

      • 7

        Doug,
        Tinc el mateix problema
        Vaig trucar al meu amfitrió i em van dir que el meu servidor té PHP 4 i PHP 5, però si vull executar un fitxer amb PHP 5, l'script ha de tenir una extensió de fitxer .php5.

        Així que ... He canviat les extensions de fitxer i desapareix dels connectors de wordpress.

        Alguna idea?

  3. 10

    Complement impressionant, estil excel·lent. Gràcies Doug, i una gran feina. Ni tan sols vaig conèixer la primera, però això va a la meva barra lateral aviat.

    És realment gratificant veure que els meus consells d’Illustrator us han ajudat a crear els vostres botons !!!!!

    gràcies de nou,

    ~ BittBox

    • 11

      Gràcies, BittBox! Crec que tinc un bon ull per l’estil, però sembla que no ho encert mai la major part del temps. Poder descarregar les vostres mostres i disseccionar-les és el que marca la diferència. Ara puc executar aquestes idees. 🙂

      A continuació, estic jugant amb algunes idees sobre la capçalera i els antecedents del meu bloc.

  4. 12

    Bé, Doug, sembla que el connector de la versió 2 m’odia. Rebo missatges d'error:

    Warning: fopen(/technorati-rank.html) [function.fopen]: failed to open stream: Permission denied in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 121
    Warning: fwrite(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 122
    Warning: fclose(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 123

    Tot i els missatges d'error, també mostra el meu rang de Technorati (~ 26.5 k: D). No tinc prou coneixement de PHP per saber per què plora per aquell fitxer.
    Curiosament, al nostre servidor fem servir SuPHP, de manera que tot funciona com nosaltres (de manera que els requisits de chmod ja no requereixen fitxers que es poden escriure a tot el món i els scripts php no s’executaran si chmod és massa alt, per exemple).

    Tot el php d’aquest subdomini s’executa com a php5.

    Alguna idea?

    • 13

      Té un directori wp-content / cache Xial? Vaig pensar que seria una bona idea utilitzar el mateix directori de memòria cau que WP-Cache. En retrospectiva, potser no va ser una bona idea. Aquesta línia és definitivament escriure al fitxer de memòria cau.

      • 14

        Sens dubte, Doug. Fa temps que estic executant WP-Cache. 🙂

        També em feia una mica de curiositat saber per què em queixaria, ja que tinc el directori necessari, però suposo que és una altra cosa.

      • 15

        Informació interessant per afegir:

        $ pwd
        /..../wp-content/cache
        $ ls -l tech*
        -rw-r--r-- 1 meeeeeeee meeeeeeee 1.1K Mar 12 11:47 technorati-rank.html

        Encara torna els errors.

    • 16

      Només vull fer sonar amb el mateix error. El lloc executa php5 i es mostra el botó.
      Vaig provar de comentar les línies 121-123 i l'endoll funciona bé. Puc posar-lo en directe o la manca d’aquestes línies causarà problemes a la llarga?

  5. 17

    Rebo els mateixos errors que els anteriors, també vaig pensar que era el meu directori de memòria cau, però en tinc un i també em vaig assegurar que els drets d’escriptura fossin correctes.
    A la barra lateral es mostrarà el connector (amb rang), però amb aquests errors al damunt.

    • 18

      Hola Richard,

      Podeu comprovar que teniu PHP versió 5+ i que CURL està activat? Podeu fer-ho creant una pàgina al vostre lloc amb <?php phpinfo(); ?> en una pàgina. A continuació, obriu aquesta pàgina. La part superior de la pàgina tindrà la vostra versió de PHP i podeu fer una cerca de CURL per assegurar-vos que estigui habilitat.

      Gràcies!
      Doug

      • 19

        Bé, Doug, he comprovat de nou la meva versió de PHP.
        Estic executant PHP5 i cURL es compila a (una de les tres sol·licituds habituals al meu amfitrió, perquè les coses es compilin a PHP).

        Tota la resta funciona bé, però no estic del tot segur de per què aquest connector s’ofega, tret que sigui la versió de cURL compilada a PHP (estem a 7.15.4 i la darrera sembla ser 7.16.1). Tanmateix, no vull molestar al meu amfitrió per tornar a compilar PHP 5 només per això, si puc ajudar-lo. <: 3

        • 20

          Vaig a aprofundir aquest cap de setmana. S’executa sense cap problema en alguns llocs, de manera que és una de les tres coses: 3. Memòria cau, 1. cURL o 2. Versió de PHP.

          Puc utilitzar la funcionalitat antiga de PHP 4 per extreure i analitzar l'XML, però pot alentir-la bastant; faré la prova aquest cap de setmana. Agraeixo totes les aportacions. "Houston, tenim un problema!".

  6. 21
  7. 22
  8. 23

    He rebut moltes sol·licituds que hi ha hagut errors en escriure o llegir del fitxer de memòria cau. De fet, vaig identificar un problema en què empenyia i tirava del fitxer de memòria cau al directori arrel. He modificat la versió 2.0.4 perquè escrigui en un subdirectori de memòria cau del directori del connector.

    Feu-me saber com funciona. (Encara necessita SimpleXML i cURL!)

Què et sembla?

Aquest lloc utilitza Akismet per reduir el correu no desitjat. Esbrineu com es processa el vostre comentari.